org.apache.poi.hssf.record.chart

## Class AxisRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.chart.AxisRecord

- All Implemented Interfaces:
    Duplicatable

      public final class AxisRecord
      extends StandardRecord

  The axis record defines the type of an axis.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `AXIS_TYPE_CATEGORY_OR_X_AXIS`
    `static short` | `AXIS_TYPE_SERIES_AXIS`
    `static short` | `AXIS_TYPE_VALUE_AXIS`
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AxisRecord()`
    `AxisRecord(AxisRecord other)`
    `AxisRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AxisRecord` | `clone()` Deprecated.
    `AxisRecord` | `copy()`
    `short` | `getAxisType()` Get the axis type field for the Axis record.
    `protected int` | `getDataSize()`
    `int` | `getReserved1()` Get the reserved1 field for the Axis record.
    `int` | `getReserved2()` Get the reserved2 field for the Axis record.
    `int` | `getReserved3()` Get the reserved3 field for the Axis record.
    `int` | `getReserved4()` Get the reserved4 field for the Axis record.
    `short` | `getSid()` return the non static version of the id for this record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setAxisType(short field_1_axisType)` Set the axis type field for the Axis record.
    `void` | `setReserved1(int field_2_reserved1)` Set the reserved1 field for the Axis record.
    `void` | `setReserved2(int field_3_reserved2)` Set the reserved2 field for the Axis record.
    `void` | `setReserved3(int field_4_reserved3)` Set the reserved3 field for the Axis record.
    `void` | `setReserved4(int field_5_reserved4)` Set the reserved4 field for the Axis record.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### AXIS_TYPE_CATEGORY_OR_X_AXIS

          public static final short AXIS_TYPE_CATEGORY_OR_X_AXIS

      See Also:
        Constant Field Values

    - #### AXIS_TYPE_VALUE_AXIS

          public static final short AXIS_TYPE_VALUE_AXIS

      See Also:
        Constant Field Values

    - #### AXIS_TYPE_SERIES_AXIS

          public static final short AXIS_TYPE_SERIES_AXIS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AxisRecord

          public AxisRecord()

    - #### AxisRecord

          public AxisRecord(AxisRecord other)

    - #### AxisRecord

          public AxisRecord(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public AxisRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getAxisType

          public short getAxisType()

      Get the axis type field for the Axis record.
      Returns:
        One of AXIS_TYPE_CATEGORY_OR_X_AXIS AXIS_TYPE_VALUE_AXIS AXIS_TYPE_SERIES_AXIS

    - #### setAxisType

          public void setAxisType(short field_1_axisType)

      Set the axis type field for the Axis record.
      Parameters:
        `field_1_axisType` - One of AXIS_TYPE_CATEGORY_OR_X_AXIS AXIS_TYPE_VALUE_AXIS AXIS_TYPE_SERIES_AXIS

    - #### getReserved1

          public int getReserved1()

      Get the reserved1 field for the Axis record.

    - #### setReserved1

          public void setReserved1(int field_2_reserved1)

      Set the reserved1 field for the Axis record.

    - #### getReserved2

          public int getReserved2()

      Get the reserved2 field for the Axis record.

    - #### setReserved2

          public void setReserved2(int field_3_reserved2)

      Set the reserved2 field for the Axis record.

    - #### getReserved3

          public int getReserved3()

      Get the reserved3 field for the Axis record.

    - #### setReserved3

          public void setReserved3(int field_4_reserved3)

      Set the reserved3 field for the Axis record.

    - #### getReserved4

          public int getReserved4()

      Get the reserved4 field for the Axis record.

    - #### setReserved4

          public void setReserved4(int field_5_reserved4)

      Set the reserved4 field for the Axis record.

    - #### copy

          public AxisRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.